import type { JsonFormsRendererRegistryEntry, Layout } from '@jsonforms/core';
declare const layoutRenderer: import("vue").DefineComponent<{
    schema: {
        required: true;
        type: import("vue").PropType<import("@jsonforms/core").JsonSchema>;
    };
    uischema: {
        required: true;
        type: import("vue").PropType<Layout>;
    };
    path: {
        required: true;
        type: StringConstructor;
    };
    enabled: {
        required: false;
        type: BooleanConstructor;
        default: undefined;
    };
    renderers: {
        required: boolean;
        type: import("vue").PropType<JsonFormsRendererRegistryEntry[]>;
        default: undefined;
    };
    cells: {
        required: boolean;
        type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
        default: undefined;
    };
    config: {
        required: boolean;
        type: ObjectConstructor;
        default: undefined;
    };
}, {
    layout: import("vue").ComputedRef<{
        uischema: NonNullable<Layout & import("@jsonforms/core").UISchemaElement>;
        schema: NonNullable<import("@jsonforms/core").JsonSchema>;
        path: string;
        enabled: boolean;
        renderers: JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        config: any;
        direction: NonNullable<"row" | "column">;
        label: string;
        data: any;
        visible: boolean;
    }>;
    categories: import("vue").ComputedRef<{
        uischema: NonNullable<Layout & import("@jsonforms/core").UISchemaElement>;
        schema: NonNullable<import("@jsonforms/core").JsonSchema>;
        path: string;
        enabled: boolean;
        renderers: JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        config: any;
        direction: NonNullable<"row" | "column">;
        label: string;
        data: any;
        visible: boolean;
    }>[];
} & {
    styles: import("..").Styles;
    appliedOptions: import("vue").ComputedRef<any>;
}, {
    selected: number;
}, {
    visibleCategories(): import("vue").ComputedRef<{
        uischema: NonNullable<Layout & import("@jsonforms/core").UISchemaElement>;
        schema: NonNullable<import("@jsonforms/core").JsonSchema>;
        path: string;
        enabled: boolean;
        renderers: JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        config: any;
        direction: NonNullable<"row" | "column">;
        label: string;
        data: any;
        visible: boolean;
    }>[];
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    schema: {
        required: true;
        type: import("vue").PropType<import("@jsonforms/core").JsonSchema>;
    };
    uischema: {
        required: true;
        type: import("vue").PropType<Layout>;
    };
    path: {
        required: true;
        type: StringConstructor;
    };
    enabled: {
        required: false;
        type: BooleanConstructor;
        default: undefined;
    };
    renderers: {
        required: boolean;
        type: import("vue").PropType<JsonFormsRendererRegistryEntry[]>;
        default: undefined;
    };
    cells: {
        required: boolean;
        type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
        default: undefined;
    };
    config: {
        required: boolean;
        type: ObjectConstructor;
        default: undefined;
    };
}>>, {
    enabled: boolean;
    renderers: JsonFormsRendererRegistryEntry[];
    cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
    config: Record<string, any>;
}, {}>;
export default layoutRenderer;
export declare const entry: JsonFormsRendererRegistryEntry;
